
QGIS Application - Bug report #11411

Impossible to know geometry type and style when editing a vector with "single symbol" symbology 

in QGIS master

2014-10-14 01:13 PM - Harrissou Santanna

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Map Legend

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19690

Description

Add a layer

Toggle it into edition

The icon near the layer's name, the one that indicates the type of geometry (and now its symbology), becomes a pencil.

If you have many layers in the project and if you forget the style used by this layer ("single symbol"), it becomes a bit hard to find the

layer's features in the map canvas.

When using "Single symbol" symbology, I think there should be a way to still easily identify the layer's geometry type and colour when

editing.

Associated revisions

Revision 4bf04e1c - 2014-10-16 10:34 PM - Jürgen Fischer

combine layer type and edit icon when editing (fixes #11411)

History

#1 - 2014-10-14 11:46 PM - Jürgen Fischer

- Target version deleted (Version 2.6)

- Tracker changed from Bug report to Feature request

- Category set to GUI

- Priority changed from Severe/Regression to Normal

#2 - 2014-10-15 12:01 AM - Giovanni Manghi

- Category changed from GUI to Map Legend

- Subject changed from Impossible to identify geometry type and colour of layer when editing to Impossible to know geometry type and style when 

editing a vector with "single symbol" symbology in QGIS master

#3 - 2014-10-15 03:15 PM - Harrissou Santanna

Thanks for updating this report but I'd like to understand why it's no more a blocker bug, and not even a bug.

I've read that an issue is considered blocker when a feature that worked in a previous release no longer works. The new design of Map Legend breaks the

ability to see which geometry type and style are used when editing a vector with "single symbol" symbology. So IMHO it is a bug and a blocker one. Isn't it?

A great part of my daily work is about digitizing. Such feature is really useful when you have many layers in edition at the same time and the tests I made

with Master didn't ease the work. And I don't think I'll be all the time behind my colleagues to remind them they should have made a categorized symbology

before toggling to edition their layers.
I think it'd be very helpful and great if a solution is found for this issue before release (even though i'm not sure it's possible)

#4 - 2014-10-15 03:29 PM - Nathan Woodrow

- Priority changed from Normal to Severe/Regression

- Target version set to Version 2.6

Yes I agree. It is a drop in usability.

#5 - 2014-10-16 01:31 PM - Jürgen Fischer

- Tracker changed from Feature request to Bug report

#6 - 2014-10-16 01:35 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"4bf04e1ce1423ad683022cc0109764af101fc88a".
